Ext.onReady(function()
{
	var pageUrl = intelli.config.admin_url + '/announcements/';

	if (Ext.get('js-grid-placeholder'))
	{
		var urlParam = intelli.urlVal('status');

		intelli.announcements =
		{
			columns: [

			{name: 'title', title: _t('title'), width: 2, editor: 'text'},
			{name: 'date', title: _t('date'), width: 200, editor: 'date'},
			{name: 'expire_date', title: _t('expire_date'), width: 200, editor: 'date'},
			'status',
			'update',
			'delete',
			'selection'
		],
			storeParams: urlParam ? {status: urlParam} : null,
			url: pageUrl
		};
		intelli.announcements = new IntelliGrid(intelli.announcements, false);
		intelli.announcements.toolbar = Ext.create('Ext.Toolbar', {items:[
		{
			emptyText: _t('text'),
			name: 'text',
			listeners: intelli.gridHelper.listener.specialKey,
			width: 275,
			xtype: 'textfield'
		},{
			displayField: 'title',
			editable: false,
			emptyText: _t('status'),
			id: 'fltStatus',
			name: 'status',
			store: intelli.announcements.stores.statuses,
			typeAhead: true,
			valueField: 'value',
			xtype: 'combo'
		},{
			handler: function(){intelli.gridHelper.search(intelli.announcements);},
			id: 'fltBtn',
			text: '<i class="i-search"></i> ' + _t('search')
		},{
			handler: function(){intelli.gridHelper.search(intelli.announcements, true);},
			text: '<i class="i-close"></i> ' + _t('reset')
		}]});
		if (urlParam)
		{
			Ext.getCmp('fltStatus').setValue(urlParam);
		}
		intelli.announcements.init();
	}
});